# CImageSetView Class Reference

List of all members.

## Public Member Functions
| CImageSetView (CImageSet &imgSet)
| CImageSetView ()
void | correctDistortions (int number, int imageList[])
void | createDepthPlanes ()
void | createDepthPlanes_rect ()
void | createUndistortionMesh (int imageIndex)
void | drawPlane (int planeIndex, int textureUnitOffset=0)
void | prepareInputTextures ()
void | setDisparityRange (int minDis, int maxDis)
void | setParameters (int useMaxMipLevel, bool useLensDistCorr)
void | setupReconMat ()
void | shiftImage (int imgA, int imgB, int offset, Vec4f *quad)
void | stereo_GL (int baseImageIndex)
void | stereo_rectifed_GL (int baseImageIndex)
void | sumAllMipLevel (int tempTexID, Vec4f *quad)
virtual | ~CImageSetView ()
## Public Attributes
int | m_compressedTexture
int | m_correctionFlag
int | m_currentRefImageIdx
unsigned char * | m_depthColor
int | m_dispRange [2]
float | m_FOV
opentl::core::cvdata::Image * | m_glReconAlpha
opentl::core::cvdata::Image * | m_glReconImage
int | m_glTex [32]
int | m_iDepthSteps
CImageSet & | m_imgSet
int | m_kernelSize
unsigned int | m_meshIDs [32]
Mat44 | m_modelView
int | m_needNewList
unsigned int | m_psDiffID
unsigned int | m_psSADID
unsigned int | m_psStereoID
unsigned int | m_psSumIDs [16]
unsigned int | m_psTex0
Vertex * | m_quadList
unsigned char * | m_reconColor
Vec3f | m_reconEye
float | m_reconFar
Mat44 | m_reconInvMat
Mat44 | m_reconMat
float | m_reconNear
Vec3f | m_reconOrig
int | m_reconScale
int | m_reconTexSize
int | m_splfTexID
int | m_tess [2]
float * | m_tex0
float * | m_tex1
int | m_texSize [2]
int | m_useMasks [32]
int | m_useMaxMipLevel
int | m_useMipLevel
int | m_viewHeight
int | m_viewMode
int | m_viewWidth
Mat44 | m_vp
## Protected Member Functions
void | prepareTextures (int &tempTexID)
void | setTexEnv ()
void | toggleProjTex (int flag)

## Constructor & Destructor Documentation

CImageSetView::CImageSetView | ( |  | ) |

CImageSetView::CImageSetView | ( | CImageSet & | imgSet | ) |

virtual CImageSetView::~CImageSetView | ( |  | ) | `[virtual]`

## Member Function Documentation

void CImageSetView::correctDistortions | ( | int | number,
|  | int | imageList[] |
| ) |  |  |

void CImageSetView::createDepthPlanes | ( |  | ) |

void CImageSetView::createDepthPlanes_rect | ( |  | ) |

void CImageSetView::createUndistortionMesh | ( | int | imageIndex | ) |

void CImageSetView::drawPlane | ( | int | planeIndex,
|  | int | textureUnitOffset = `0` |
| ) |  |  |

void CImageSetView::prepareInputTextures | ( |  | ) |

void CImageSetView::prepareTextures | ( | int & | tempTexID | ) | `[protected]`

void CImageSetView::setDisparityRange | ( | int | minDis,
|  | int | maxDis |
| ) |  |  |

void CImageSetView::setParameters | ( | int | useMaxMipLevel,
|  | bool | useLensDistCorr |
| ) |  |  |

void CImageSetView::setTexEnv | ( |  | ) | `[protected]`

void CImageSetView::setupReconMat | ( |  | ) |

void CImageSetView::shiftImage | ( | int | imgA,
|  | int | imgB,
|  | int | offset,
|  | Vec4f * | quad |
| ) |  |  |

void CImageSetView::stereo_GL | ( | int | baseImageIndex | ) |

void CImageSetView::stereo_rectifed_GL | ( | int | baseImageIndex | ) |

void CImageSetView::sumAllMipLevel | ( | int | tempTexID,
|  | Vec4f * | quad |
| ) |  |  |

void CImageSetView::toggleProjTex | ( | int | flag | ) | `[protected]`

## Member Data Documentation

int CImageSetView::m_compressedTexture

int CImageSetView::m_correctionFlag

int CImageSetView::m_currentRefImageIdx

unsigned char* CImageSetView::m_depthColor

int CImageSetView::m_dispRange[2]

float CImageSetView::m_FOV

opentl::core::cvdata::Image * CImageSetView::m_glReconAlpha

opentl::core::cvdata::Image* CImageSetView::m_glReconImage

int CImageSetView::m_glTex[32]

int CImageSetView::m_iDepthSteps

CImageSet& CImageSetView::m_imgSet

int CImageSetView::m_kernelSize

unsigned int CImageSetView::m_meshIDs[32]

Mat44 CImageSetView::m_modelView

int CImageSetView::m_needNewList

unsigned int CImageSetView::m_psDiffID

unsigned int CImageSetView::m_psSADID

unsigned int CImageSetView::m_psStereoID

unsigned int CImageSetView::m_psSumIDs[16]

unsigned int CImageSetView::m_psTex0

Vertex* CImageSetView::m_quadList

unsigned char* CImageSetView::m_reconColor

Vec3f CImageSetView::m_reconEye

float CImageSetView::m_reconFar

Mat44 CImageSetView::m_reconInvMat

Mat44 CImageSetView::m_reconMat

float CImageSetView::m_reconNear

Vec3f CImageSetView::m_reconOrig

int CImageSetView::m_reconScale

int CImageSetView::m_reconTexSize

int CImageSetView::m_splfTexID

int CImageSetView::m_tess[2]

float* CImageSetView::m_tex0

float* CImageSetView::m_tex1

int CImageSetView::m_texSize[2]

int CImageSetView::m_useMasks[32]

int CImageSetView::m_useMaxMipLevel

int CImageSetView::m_useMipLevel

int CImageSetView::m_viewHeight

int CImageSetView::m_viewMode

int CImageSetView::m_viewWidth

Mat44 CImageSetView::m_vp